/*
Default linker script for STR91xFx44
Copyright RAISONANCE S.A.S. 2006
*/

/* include the common STRxxx sub-script */
INCLUDE "STR91x_COMMON.ld"


/*********** BEGIN SUBSCRIPT ************/

/*
Linker subscript for STR91xFx44 definitions
Copyright RAISONANCE 2006
You can use, modify and distribute this file freely, but without any warranty.
*/


/* Memory Spaces Definitions */

MEMORY
{
  FLASH (rx) : ORIGIN = 0, LENGTH = 512K
  FLASHB1 (rx) : ORIGIN = 0x00080000, LENGTH = 32K
  EXTMEMB0 (rx) : ORIGIN = 0x30000000, LENGTH = 64M
  EXTMEMB1 (rx) : ORIGIN = 0x34000000, LENGTH = 64M
  EXTMEMB2 (rx) : ORIGIN = 0x38000000, LENGTH = 64M
  EXTMEMB3 (rx) : ORIGIN = 0x3C000000, LENGTH = 64M
  GLOBALRAM (xrw) : ORIGIN = 0x50000000, LENGTH = 16K
  RAM (xrw) : ORIGIN = 0x50004000, LENGTH = 80K

}

/* higher address of the user mode stack */
_estack = 0x50018000;

PROVIDE (  _bb_size = 0x04 ) ;
PROVIDE ( _nbb_size = 0x03 ) ;
PROVIDE ( _nbb_addr = 0x00020000 ) ;

/************ END SUBSCRIPT *************/

/* include the sections management sub-script for FLASH mode */
INCLUDE "sections_FLASH.ld"


